"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  getScheduleTimeFrame: () => getScheduleTimeFrame2,
  listScheduleTimeFrames: () => listScheduleTimeFrames2
});
module.exports = __toCommonJS(meta_exports);

// src/calendar-v3-schedule-time-frame-schedule-time-frames.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/schedule-timeframes-3",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    _: [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_calendar_schedule-time-frames";
function getScheduleTimeFrame(payload) {
  function __getScheduleTimeFrame({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.schedule_time_frame",
      method: "GET",
      methodFqn: "wix.calendar.scheduletimeframes.v3.ScheduleTimeFramesService.GetScheduleTimeFrame",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl({
        protoPath: "/v3/schedules/timeframe/{id}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "scheduleTimeFrame.firstEventStartDate.utcDate" },
            { path: "scheduleTimeFrame.lastEventEndDate.utcDate" },
            { path: "scheduleTimeFrame.adjustedFirstEventStartDate.utcDate" },
            { path: "scheduleTimeFrame.adjustedLastEventEndDate.utcDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getScheduleTimeFrame;
}
function listScheduleTimeFrames(payload) {
  function __listScheduleTimeFrames({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.schedule_time_frame",
      method: "GET",
      methodFqn: "wix.calendar.scheduletimeframes.v3.ScheduleTimeFramesService.ListScheduleTimeFrames",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl({
        protoPath: "/v3/schedules/timeframe",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "scheduleTimeFrames.firstEventStartDate.utcDate" },
            { path: "scheduleTimeFrames.lastEventEndDate.utcDate" },
            {
              path: "scheduleTimeFrames.adjustedFirstEventStartDate.utcDate"
            },
            { path: "scheduleTimeFrames.adjustedLastEventEndDate.utcDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listScheduleTimeFrames;
}

// src/calendar-v3-schedule-time-frame-schedule-time-frames.meta.ts
function getScheduleTimeFrame2() {
  const payload = { id: ":id" };
  const getRequestOptions = getScheduleTimeFrame(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v3/schedules/timeframe/{id}",
    pathParams: { id: "id" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function listScheduleTimeFrames2() {
  const payload = {};
  const getRequestOptions = listScheduleTimeFrames(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v3/schedules/timeframe",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getScheduleTimeFrame,
  listScheduleTimeFrames
});
//# sourceMappingURL=meta.js.map