// src/calendar-v3-schedule-time-frame-schedule-time-frames.public.ts
import { renameKeysFromRESTResponseToSDKResponse as renameKeysFromRESTResponseToSDKResponse2 } from "@wix/sdk-runtime/rename-all-nested-keys";
import { transformRESTTimestampToSDKTimestamp as transformRESTTimestampToSDKTimestamp2 } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths as transformPaths2 } from "@wix/sdk-runtime/transformations/transform-paths";
import { EventDefinition } from "@wix/sdk-types";

// src/calendar-v3-schedule-time-frame-schedule-time-frames.universal.ts
import { transformError as sdkTransformError } from "@wix/sdk-runtime/transform-error";
import {
  renameKeysFromSDKRequestToRESTRequest,
  renameKeysFromRESTResponseToSDKResponse
} from "@wix/sdk-runtime/rename-all-nested-keys";

// src/calendar-v3-schedule-time-frame-schedule-time-frames.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/schedule-timeframes-3",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    _: [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_calendar_schedule-time-frames";
function getScheduleTimeFrame(payload) {
  function __getScheduleTimeFrame({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.schedule_time_frame",
      method: "GET",
      methodFqn: "wix.calendar.scheduletimeframes.v3.ScheduleTimeFramesService.GetScheduleTimeFrame",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl({
        protoPath: "/v3/schedules/timeframe/{id}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "scheduleTimeFrame.firstEventStartDate.utcDate" },
            { path: "scheduleTimeFrame.lastEventEndDate.utcDate" },
            { path: "scheduleTimeFrame.adjustedFirstEventStartDate.utcDate" },
            { path: "scheduleTimeFrame.adjustedLastEventEndDate.utcDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getScheduleTimeFrame;
}
function listScheduleTimeFrames(payload) {
  function __listScheduleTimeFrames({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.schedule_time_frame",
      method: "GET",
      methodFqn: "wix.calendar.scheduletimeframes.v3.ScheduleTimeFramesService.ListScheduleTimeFrames",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl({
        protoPath: "/v3/schedules/timeframe",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "scheduleTimeFrames.firstEventStartDate.utcDate" },
            { path: "scheduleTimeFrames.lastEventEndDate.utcDate" },
            {
              path: "scheduleTimeFrames.adjustedFirstEventStartDate.utcDate"
            },
            { path: "scheduleTimeFrames.adjustedLastEventEndDate.utcDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listScheduleTimeFrames;
}

// src/calendar-v3-schedule-time-frame-schedule-time-frames.universal.ts
var Status = /* @__PURE__ */ ((Status2) => {
  Status2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  Status2["NONE"] = "NONE";
  Status2["FINITE"] = "FINITE";
  Status2["INFINITE"] = "INFINITE";
  return Status2;
})(Status || {});
var PlacementType = /* @__PURE__ */ ((PlacementType2) => {
  PlacementType2["BEFORE"] = "BEFORE";
  PlacementType2["AFTER"] = "AFTER";
  PlacementType2["REPLACE"] = "REPLACE";
  return PlacementType2;
})(PlacementType || {});
var DayOfWeek = /* @__PURE__ */ ((DayOfWeek2) => {
  DayOfWeek2["MONDAY"] = "MONDAY";
  DayOfWeek2["TUESDAY"] = "TUESDAY";
  DayOfWeek2["WEDNESDAY"] = "WEDNESDAY";
  DayOfWeek2["THURSDAY"] = "THURSDAY";
  DayOfWeek2["FRIDAY"] = "FRIDAY";
  DayOfWeek2["SATURDAY"] = "SATURDAY";
  DayOfWeek2["SUNDAY"] = "SUNDAY";
  return DayOfWeek2;
})(DayOfWeek || {});
var ResolutionMethod = /* @__PURE__ */ ((ResolutionMethod2) => {
  ResolutionMethod2["QUERY_PARAM"] = "QUERY_PARAM";
  ResolutionMethod2["SUBDOMAIN"] = "SUBDOMAIN";
  ResolutionMethod2["SUBDIRECTORY"] = "SUBDIRECTORY";
  return ResolutionMethod2;
})(ResolutionMethod || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
async function getScheduleTimeFrame2(_id, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = renameKeysFromSDKRequestToRESTRequest({
    id: _id,
    timeZone: options?.timeZone
  });
  const reqOpts = getScheduleTimeFrame(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(result.data)?.scheduleTimeFrame;
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { id: "$[0]", timeZone: "$[1].timeZone" },
        singleArgumentUnchanged: false
      },
      ["_id", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function listScheduleTimeFrames2(ids, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = renameKeysFromSDKRequestToRESTRequest({
    ids,
    timeZone: options?.timeZone
  });
  const reqOpts = listScheduleTimeFrames(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return renameKeysFromRESTResponseToSDKResponse(result.data);
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { ids: "$[0]", timeZone: "$[1].timeZone" },
        singleArgumentUnchanged: false
      },
      ["ids", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/calendar-v3-schedule-time-frame-schedule-time-frames.public.ts
function getScheduleTimeFrame3(httpClient) {
  return (_id, options) => getScheduleTimeFrame2(
    _id,
    options,
    // @ts-ignore
    { httpClient }
  );
}
function listScheduleTimeFrames3(httpClient) {
  return (ids, options) => listScheduleTimeFrames2(
    ids,
    options,
    // @ts-ignore
    { httpClient }
  );
}
var onScheduleTimeFrameUpdated = EventDefinition(
  "wix.calendar.v3.schedule_time_frame_updated",
  true,
  (event) => renameKeysFromRESTResponseToSDKResponse2(
    transformPaths2(event, [
      {
        transformFn: transformRESTTimestampToSDKTimestamp2,
        paths: [
          { path: "entity.firstEventStartDate.utcDate" },
          { path: "entity.lastEventEndDate.utcDate" },
          { path: "entity.adjustedFirstEventStartDate.utcDate" },
          { path: "entity.adjustedLastEventEndDate.utcDate" },
          { path: "metadata.eventTime" }
        ]
      }
    ])
  )
)();

// src/calendar-v3-schedule-time-frame-schedule-time-frames.context.ts
import { createRESTModule } from "@wix/sdk-runtime/rest-modules";
import { createEventModule } from "@wix/sdk-runtime/event-definition-modules";
var getScheduleTimeFrame4 = /* @__PURE__ */ createRESTModule(getScheduleTimeFrame3);
var listScheduleTimeFrames4 = /* @__PURE__ */ createRESTModule(listScheduleTimeFrames3);
var onScheduleTimeFrameUpdated2 = createEventModule(onScheduleTimeFrameUpdated);
export {
  DayOfWeek,
  PlacementType,
  ResolutionMethod,
  Status,
  WebhookIdentityType,
  getScheduleTimeFrame4 as getScheduleTimeFrame,
  listScheduleTimeFrames4 as listScheduleTimeFrames,
  onScheduleTimeFrameUpdated2 as onScheduleTimeFrameUpdated
};
//# sourceMappingURL=index.mjs.map