// src/calendar-v3-schedule-time-frame-schedule-time-frames.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { transformRESTTimestampToSDKTimestamp } from "@wix/sdk-runtime/transformations/timestamp";
import { transformPaths } from "@wix/sdk-runtime/transformations/transform-paths";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/schedule-timeframes-3",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    _: [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_calendar_schedule-time-frames";
function getScheduleTimeFrame(payload) {
  function __getScheduleTimeFrame({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.schedule_time_frame",
      method: "GET",
      methodFqn: "wix.calendar.scheduletimeframes.v3.ScheduleTimeFramesService.GetScheduleTimeFrame",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl({
        protoPath: "/v3/schedules/timeframe/{id}",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "scheduleTimeFrame.firstEventStartDate.utcDate" },
            { path: "scheduleTimeFrame.lastEventEndDate.utcDate" },
            { path: "scheduleTimeFrame.adjustedFirstEventStartDate.utcDate" },
            { path: "scheduleTimeFrame.adjustedLastEventEndDate.utcDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getScheduleTimeFrame;
}
function listScheduleTimeFrames(payload) {
  function __listScheduleTimeFrames({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.schedule_time_frame",
      method: "GET",
      methodFqn: "wix.calendar.scheduletimeframes.v3.ScheduleTimeFramesService.ListScheduleTimeFrames",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl({
        protoPath: "/v3/schedules/timeframe",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload),
      transformResponse: (payload2) => transformPaths(payload2, [
        {
          transformFn: transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "scheduleTimeFrames.firstEventStartDate.utcDate" },
            { path: "scheduleTimeFrames.lastEventEndDate.utcDate" },
            {
              path: "scheduleTimeFrames.adjustedFirstEventStartDate.utcDate"
            },
            { path: "scheduleTimeFrames.adjustedLastEventEndDate.utcDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listScheduleTimeFrames;
}

// src/calendar-v3-schedule-time-frame-schedule-time-frames.meta.ts
function getScheduleTimeFrame2() {
  const payload = { id: ":id" };
  const getRequestOptions = getScheduleTimeFrame(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v3/schedules/timeframe/{id}",
    pathParams: { id: "id" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function listScheduleTimeFrames2() {
  const payload = {};
  const getRequestOptions = listScheduleTimeFrames(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v3/schedules/timeframe",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  getScheduleTimeFrame2 as getScheduleTimeFrame,
  listScheduleTimeFrames2 as listScheduleTimeFrames
};
//# sourceMappingURL=meta.mjs.map