"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.typings.ts
var index_typings_exports = {};
__export(index_typings_exports, {
  DayOfWeek: () => DayOfWeek,
  PlacementType: () => PlacementType,
  ResolutionMethod: () => ResolutionMethod,
  Status: () => Status,
  WebhookIdentityType: () => WebhookIdentityType,
  getScheduleTimeFrame: () => getScheduleTimeFrame2,
  listScheduleTimeFrames: () => listScheduleTimeFrames2
});
module.exports = __toCommonJS(index_typings_exports);

// src/calendar-v3-schedule-time-frame-schedule-time-frames.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/calendar-v3-schedule-time-frame-schedule-time-frames.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/schedule-timeframes-3",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    _: [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/calendar/v3/schedules/timeframe",
        destPath: "/v3/schedules/timeframe"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_calendar_schedule-time-frames";
function getScheduleTimeFrame(payload) {
  function __getScheduleTimeFrame({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.schedule_time_frame",
      method: "GET",
      methodFqn: "wix.calendar.scheduletimeframes.v3.ScheduleTimeFramesService.GetScheduleTimeFrame",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl({
        protoPath: "/v3/schedules/timeframe/{id}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "scheduleTimeFrame.firstEventStartDate.utcDate" },
            { path: "scheduleTimeFrame.lastEventEndDate.utcDate" },
            { path: "scheduleTimeFrame.adjustedFirstEventStartDate.utcDate" },
            { path: "scheduleTimeFrame.adjustedLastEventEndDate.utcDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __getScheduleTimeFrame;
}
function listScheduleTimeFrames(payload) {
  function __listScheduleTimeFrames({ host }) {
    const metadata = {
      entityFqdn: "wix.calendar.v3.schedule_time_frame",
      method: "GET",
      methodFqn: "wix.calendar.scheduletimeframes.v3.ScheduleTimeFramesService.ListScheduleTimeFrames",
      packageName: PACKAGE_NAME,
      url: resolveWixCalendarScheduletimeframesV3ScheduleTimeFramesServiceUrl({
        protoPath: "/v3/schedules/timeframe",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "scheduleTimeFrames.firstEventStartDate.utcDate" },
            { path: "scheduleTimeFrames.lastEventEndDate.utcDate" },
            {
              path: "scheduleTimeFrames.adjustedFirstEventStartDate.utcDate"
            },
            { path: "scheduleTimeFrames.adjustedLastEventEndDate.utcDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listScheduleTimeFrames;
}

// src/calendar-v3-schedule-time-frame-schedule-time-frames.universal.ts
var Status = /* @__PURE__ */ ((Status2) => {
  Status2["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
  Status2["NONE"] = "NONE";
  Status2["FINITE"] = "FINITE";
  Status2["INFINITE"] = "INFINITE";
  return Status2;
})(Status || {});
var PlacementType = /* @__PURE__ */ ((PlacementType2) => {
  PlacementType2["BEFORE"] = "BEFORE";
  PlacementType2["AFTER"] = "AFTER";
  PlacementType2["REPLACE"] = "REPLACE";
  return PlacementType2;
})(PlacementType || {});
var DayOfWeek = /* @__PURE__ */ ((DayOfWeek2) => {
  DayOfWeek2["MONDAY"] = "MONDAY";
  DayOfWeek2["TUESDAY"] = "TUESDAY";
  DayOfWeek2["WEDNESDAY"] = "WEDNESDAY";
  DayOfWeek2["THURSDAY"] = "THURSDAY";
  DayOfWeek2["FRIDAY"] = "FRIDAY";
  DayOfWeek2["SATURDAY"] = "SATURDAY";
  DayOfWeek2["SUNDAY"] = "SUNDAY";
  return DayOfWeek2;
})(DayOfWeek || {});
var ResolutionMethod = /* @__PURE__ */ ((ResolutionMethod2) => {
  ResolutionMethod2["QUERY_PARAM"] = "QUERY_PARAM";
  ResolutionMethod2["SUBDOMAIN"] = "SUBDOMAIN";
  ResolutionMethod2["SUBDIRECTORY"] = "SUBDIRECTORY";
  return ResolutionMethod2;
})(ResolutionMethod || {});
var WebhookIdentityType = /* @__PURE__ */ ((WebhookIdentityType2) => {
  WebhookIdentityType2["UNKNOWN"] = "UNKNOWN";
  WebhookIdentityType2["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
  WebhookIdentityType2["MEMBER"] = "MEMBER";
  WebhookIdentityType2["WIX_USER"] = "WIX_USER";
  WebhookIdentityType2["APP"] = "APP";
  return WebhookIdentityType2;
})(WebhookIdentityType || {});
async function getScheduleTimeFrame2(_id, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    id: _id,
    timeZone: options?.timeZone
  });
  const reqOpts = getScheduleTimeFrame(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data)?.scheduleTimeFrame;
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { id: "$[0]", timeZone: "$[1].timeZone" },
        singleArgumentUnchanged: false
      },
      ["_id", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
async function listScheduleTimeFrames2(ids, options) {
  const { httpClient, sideEffects } = arguments[2];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({
    ids,
    timeZone: options?.timeZone
  });
  const reqOpts = listScheduleTimeFrames(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: { ids: "$[0]", timeZone: "$[1].timeZone" },
        singleArgumentUnchanged: false
      },
      ["ids", "options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  DayOfWeek,
  PlacementType,
  ResolutionMethod,
  Status,
  WebhookIdentityType,
  getScheduleTimeFrame,
  listScheduleTimeFrames
});
//# sourceMappingURL=index.typings.js.map